#include "subfiles/unknownsubfile.h"

#include "EasyLogging++/easylogging++.h"

namespace LOTRO_DAT {
namespace Subfiles {

SubfileData Subfile<UNKNOWN>::BuildForExport(const BinaryData& file_data) {
    SubfileData result;
    result.binary_data = file_data;
    result.options["ext"] = ".unknown";
    return result;
}

BinaryData Subfile<UNKNOWN>::BuildForImport(const BinaryData&, const SubfileData& data) {
    return data.binary_data;
}

}; // namespace Subfiles
}; // namespace LOTRO_DAT